Bug 63918 - Makefile.port which is included by Makefile.global does not exist
Makefile.port which is included by Makefile.global does not exist
Status: CLOSED NOTABUG
Product: Red Hat Public Beta
Classification: Retired
Component: postgresql (Show other bugs)
skipjack-beta2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Andrew Overholt
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-21 17:35 EDT by Need Real Name
Modified: 2009-09-04 15:11 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-03-12 18:45:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-04-21 17:35:33 EDT
Description of Problem:
Makefile.port which is included by Makefile.global does not exist

Version-Release number of selected component (if applicable):
postgresql-devel-7.2.1-5

How Reproducible:
see below which is an excerpt from a Makefile used on FreeBSD to compile
programs that use postgres.

# note ../src is a symbolic link to /usr/include/pgsql
subdir = ../src
top_builddir = ../

include $(subdir)/Makefile.global

ROOTDIR=/
TOPDIR=$(ROOTDIR)usr/local
CC=gcc

Steps to Reproduce:
1. Simply examine Makefile.global and you will see where it includes Makefile.port. 
2. 
3. 

Actual Results:


Expected Results:


Additional Information:
Comment 1 Trond Eivind Glomsrxd 2002-04-26 16:24:01 EDT
Doesn't sound like that file should be included at all... I'll remove it in the
next build.
Comment 2 Andrew Overholt 2003-03-12 18:45:44 EST
Makefile.port should not exist in a source distribution - it's a symlink made at
configure time.  Perhaps a build was attempted without a previous configure run.
 Resolving NOTABUG.
Comment 3 Charley Wang 2009-09-04 15:11:23 EDT
testing with mylyn, sorry for the spam

Note You need to log in before you can comment on or make changes to this bug.